pdfinfo(1)

NAME
pdfinfo - Portable Document Format (PDF) document information extractor (version 3.04)

SYNOPSIS
pdfinfo [options] [PDF-file]

DESCRIPTION
Pdfinfo prints the contents of the 'Info' dictionary (plus some other useful information) from a Portable Document Format (PDF) file.

The 'Info' dictionary contains the following values:

    title
    subject
    keywords
    author
    creator
    producer
    creation date
    modification date

In addition, the following information is printed:

    tagged (yes/no)
    form (AcroForm / XFA / none)
    page count
    encrypted flag (yes/no)
    print and copy permissions (if encrypted)
    page size and rotation
    file size
    linearized (yes/no)
    PDF version
    metadata (only if requested)

CONFIGURATION FILE
Pdfinfo reads a configuration file at startup. It first tries to find the user's private config file, ~/.xpdfrc. If that doesn't exist, it looks for a system-wide config file, typically /usr/local/etc/xpdfrc (but this location can be changed when pdfinfo is built). See the xpdfrc(5) man page for details.

OPTIONS
Many of the following options can be set with configuration file commands. These are listed in square brackets with the description of the corresponding command line option.

-f number
    Specifies the first page to examine. If multiple pages are requested using the "-f" and "-l" options, the size of each requested page (and, optionally, the bounding boxes for each requested page) are printed. Otherwise, only page one is examined.

-l number
    Specifies the last page to examine.

-box
    Prints the page box bounding boxes: MediaBox, CropBox, BleedBox, TrimBox, and ArtBox.

-meta
    Prints document-level metadata. (This is the "Metadata" stream from the PDF file's Catalog object.)

-rawdates
    Prints the raw (undecoded) date strings, directly from the PDF file.

-enc encoding-name
    Sets the encoding to use for text output. The encoding-name must be defined with the unicodeMap command (see xpdfrc(5)). This defaults to "Latin1" (which is a built-in encoding). [config file: textEncoding]

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-cfg config-file
    Read config-file in place of ~/.xpdfrc or the system-wide config file.

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The Xpdf tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

99  Other error.

AUTHOR
The pdfinfo software and documentation are copyright 1996-2014 Glyph & Cog, LLC.

SEE ALSO
xpdf(1), pdftops(1), pdftotext(1), pdftohtml(1), pdffonts(1), pdfdetach(1), pdftoppm(1), pdftopng(1), pdfimages(1), xpdfrc(5)
http://www.foolabs.com/xpdf/